Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.kemet.impl.grammar.model
Class Sign

    java.lang.Object
      org.kemet.impl.grammar.model.Sign

All Implemented Interfaces:
  java.io.Serializable

    public class Sign

extends java.lang.Object
implements java.io.Serializable

Since:
  0.1
Author:
  fabricemaupin

  BEAN : information about a sign (hieroglyph).

See Also:
  Serialized Form

Constructor Summary
`Sign()` instantiate the object.

Method Summary
`static java.util.Vector` | `getConventionalPronunciationFromTransliterationValue(java.lang.String transliterationValue)` get the conventional pronunciation from a transliteration.
`java.lang.String` | `getHieroglyph()` return the hieroglyph.
`java.lang.String` | `getId()` return the id.
`java.lang.String` | `getIdentification()` return the identification.
`static java.util.Vector` | `getIdSignFromTransliteration(java.lang.String transliteration)` get the id sign from a transliteration value.
`static java.util.HashMap<java.lang.String,Sign>` | `getSeek()` return the list of instances.
`static java.util.Vector` | `getSignInstances()` return the list of instances.
`Transliteration` | `getTransliteration()` return the transliteration.
`static java.lang.String[]` | `getTransliterationFromSign(java.lang.String index)` get the transliteration of a particular sign.
`boolean` | `isIndicatorPPA()` indicator stating of PPA ?
`static int` | `readById(java.lang.String o)` read the sign from his id.
`void` | `setHieroglyph(java.lang.String hieroglyph)` set the hieroglyph of sign.
`void` | `setId(java.lang.String id)` fix the id.
`void` | `setIdentification(java.lang.String identification)` fix the identification.
`void` | `setIndicatorPPA(boolean indicatorPPA)` fix the indicator stating of PPA.
`static void` | `setSignInstances(java.util.Vector signInstances)` set the list of sign instances.
`void` | `setTransliteration(Transliteration transliteration)` fix the transliteration.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sign

    public Sign()

  instantiate the object.

  Since:
    0.1

Method Detail

### readById

    public static int readById(java.lang.String o)

  read the sign from his id.

  Parameters:
    `o` - the id
  Returns:
    index of the sign
  Since:
    0.1

### getConventionalPronunciationFromTransliterationValue

    public static java.util.Vector getConventionalPronunciationFromTransliterationValue(java.lang.String transliterationValue)

  get the conventional pronunciation from a transliteration.

  Parameters:
    `transliterationValue` - transliteration
  Returns:
    the conventional pronunciation
  Since:
    0.1

### getTransliterationFromSign

    public static java.lang.String[] getTransliterationFromSign(java.lang.String index)

  get the transliteration of a particular sign.

  Parameters:
    `index` - id of the sign
  Returns:
    the associated transliteration
  Since:
    0.1

### getIdSignFromTransliteration

    public static java.util.Vector getIdSignFromTransliteration(java.lang.String transliteration)

  get the id sign from a transliteration value.

  Parameters:
    `transliteration` - transliteration value
  Returns:
    idlist of signs
  Since:
    0.1

### getId

    public java.lang.String getId()

  return the id.

  Returns:
    id
  Since:
    0.1

### setId

    public void setId(java.lang.String id)

  fix the id.

  Parameters:
    `id` - id to fix
  Since:
    0.1

### setIdentification

    public void setIdentification(java.lang.String identification)

  fix the identification.

  Parameters:
    `identification` - identification to fix
  Since:
    0.1

### setTransliteration

    public void setTransliteration(Transliteration transliteration)

  fix the transliteration.

  Parameters:
    `transliteration` - transliteration to fix
  Since:
    0.1

### getTransliteration

    public Transliteration getTransliteration()

  return the transliteration.

  Returns:
    transliteration
  Since:
    0.1

### setSignInstances

    public static void setSignInstances(java.util.Vector signInstances)

  set the list of sign instances.

  Parameters:
    `signInstances` - the list of sign instances to fix
  Since:
    0.1

### getHieroglyph

    public java.lang.String getHieroglyph()

  return the hieroglyph.

  Returns:
    hieroglyph
  Since:
    0.4

### setHieroglyph

    public void setHieroglyph(java.lang.String hieroglyph)

  set the hieroglyph of sign.

  Parameters:
    `hieroglyph` - hieroglyph of sign
  Since:
    0.3

### getIdentification

    public java.lang.String getIdentification()

  return the identification.

  Returns:
    identification
  Since:
    0.1

### getSignInstances

    public static java.util.Vector getSignInstances()

  return the list of instances.

  Returns:
    list of instances
  Since:
    0.4

### getSeek

    public static java.util.HashMap<java.lang.String,Sign> getSeek()

  return the list of instances.

  Returns:
    instances
  Since:
    0.4

### isIndicatorPPA

    public boolean isIndicatorPPA()

  indicator stating of PPA ?

  Returns:
    true /false
  Since:
    0.6

### setIndicatorPPA

    public void setIndicatorPPA(boolean indicatorPPA)

  fix the indicator stating of PPA.

  Parameters:
    `indicatorPPA` - true /false
  Since:
    0.6

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 F. MAUPIN. All Rights Reserved.